# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class ConversationReference(Model):
    """An object relating to a particular point in a conversation.

    :param activity_id: (Optional) ID of the activity to refer to
    :type activity_id: str
    :param user: (Optional) User participating in this conversation
    :type user: ~botframework.connector.models.ChannelAccount
    :param bot: Bot participating in this conversation
    :type bot: ~botframework.connector.models.ChannelAccount
    :param conversation: Conversation reference
    :type conversation: ~botframework.connector.models.ConversationAccount
    :param channel_id: Channel ID
    :type channel_id: str
    :param service_url: Service endpoint where operations concerning the
     referenced conversation may be performed
    :type service_url: str
    """

    _attribute_map = {
        'activity_id': {'key': 'activityId', 'type': 'str'},
        'user': {'key': 'user', 'type': 'ChannelAccount'},
        'bot': {'key': 'bot', 'type': 'ChannelAccount'},
        'conversation': {'key': 'conversation', 'type': 'ConversationAccount'},
        'channel_id': {'key': 'channelId', 'type': 'str'},
        'service_url': {'key': 'serviceUrl', 'type': 'str'},
    }

    def __init__(self, activity_id=None, user=None, bot=None, conversation=None, channel_id=None, service_url=None):
        super(ConversationReference, self).__init__()
        self.activity_id = activity_id
        self.user = user
        self.bot = bot
        self.conversation = conversation
        self.channel_id = channel_id
        self.service_url = service_url
