# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class PaymentDetails(Model):
    """Provides information about the requested transaction.

    :param total: Contains the total amount of the payment request
    :type total: ~botframework.connector.models.PaymentItem
    :param display_items: Contains line items for the payment request that the
     user agent may display
    :type display_items: list[~botframework.connector.models.PaymentItem]
    :param shipping_options: A sequence containing the different shipping
     options for the user to choose from
    :type shipping_options:
     list[~botframework.connector.models.PaymentShippingOption]
    :param modifiers: Contains modifiers for particular payment method
     identifiers
    :type modifiers:
     list[~botframework.connector.models.PaymentDetailsModifier]
    :param error: Error description
    :type error: str
    """

    _attribute_map = {
        'total': {'key': 'total', 'type': 'PaymentItem'},
        'display_items': {'key': 'displayItems', 'type': '[PaymentItem]'},
        'shipping_options': {'key': 'shippingOptions', 'type': '[PaymentShippingOption]'},
        'modifiers': {'key': 'modifiers', 'type': '[PaymentDetailsModifier]'},
        'error': {'key': 'error', 'type': 'str'},
    }

    def __init__(self, total=None, display_items=None, shipping_options=None, modifiers=None, error=None):
        super(PaymentDetails, self).__init__()
        self.total = total
        self.display_items = display_items
        self.shipping_options = shipping_options
        self.modifiers = modifiers
        self.error = error
