# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class PaymentRequestUpdate(Model):
    """An update to a payment request.

    :param id: ID for the payment request to update
    :type id: str
    :param details: Update payment details
    :type details: ~botframework.connector.models.PaymentDetails
    :param shipping_address: Updated shipping address
    :type shipping_address: ~botframework.connector.models.PaymentAddress
    :param shipping_option: Updated shipping options
    :type shipping_option: str
    """

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'details': {'key': 'details', 'type': 'PaymentDetails'},
        'shipping_address': {'key': 'shippingAddress', 'type': 'PaymentAddress'},
        'shipping_option': {'key': 'shippingOption', 'type': 'str'},
    }

    def __init__(self, id=None, details=None, shipping_address=None, shipping_option=None):
        super(PaymentRequestUpdate, self).__init__()
        self.id = id
        self.details = details
        self.shipping_address = shipping_address
        self.shipping_option = shipping_option
