# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class PaymentResponse(Model):
    """A PaymentResponse is returned when a user has selected a payment method and
    approved a payment request.

    :param method_name: The payment method identifier for the payment method
     that the user selected to fulfil the transaction
    :type method_name: str
    :param details: A JSON-serializable object that provides a payment method
     specific message used by the merchant to process the transaction and
     determine successful fund transfer
    :type details: object
    :param shipping_address: If the requestShipping flag was set to true in
     the PaymentOptions passed to the PaymentRequest constructor, then
     shippingAddress will be the full and final shipping address chosen by the
     user
    :type shipping_address: ~botframework.connector.models.PaymentAddress
    :param shipping_option: If the requestShipping flag was set to true in the
     PaymentOptions passed to the PaymentRequest constructor, then
     shippingOption will be the id attribute of the selected shipping option
    :type shipping_option: str
    :param payer_email: If the requestPayerEmail flag was set to true in the
     PaymentOptions passed to the PaymentRequest constructor, then payerEmail
     will be the email address chosen by the user
    :type payer_email: str
    :param payer_phone: If the requestPayerPhone flag was set to true in the
     PaymentOptions passed to the PaymentRequest constructor, then payerPhone
     will be the phone number chosen by the user
    :type payer_phone: str
    """

    _attribute_map = {
        'method_name': {'key': 'methodName', 'type': 'str'},
        'details': {'key': 'details', 'type': 'object'},
        'shipping_address': {'key': 'shippingAddress', 'type': 'PaymentAddress'},
        'shipping_option': {'key': 'shippingOption', 'type': 'str'},
        'payer_email': {'key': 'payerEmail', 'type': 'str'},
        'payer_phone': {'key': 'payerPhone', 'type': 'str'},
    }

    def __init__(self, method_name=None, details=None, shipping_address=None, shipping_option=None, payer_email=None, payer_phone=None):
        super(PaymentResponse, self).__init__()
        self.method_name = method_name
        self.details = details
        self.shipping_address = shipping_address
        self.shipping_option = shipping_option
        self.payer_email = payer_email
        self.payer_phone = payer_phone
