# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class ReceiptItem(Model):
    """An item on a receipt card.

    :param title: Title of the Card
    :type title: str
    :param subtitle: Subtitle appears just below Title field, differs from
     Title in font styling only
    :type subtitle: str
    :param text: Text field appears just below subtitle, differs from Subtitle
     in font styling only
    :type text: str
    :param image: Image
    :type image: ~botframework.connector.models.CardImage
    :param price: Amount with currency
    :type price: str
    :param quantity: Number of items of given kind
    :type quantity: str
    :param tap: This action will be activated when user taps on the Item
     bubble.
    :type tap: ~botframework.connector.models.CardAction
    """

    _attribute_map = {
        'title': {'key': 'title', 'type': 'str'},
        'subtitle': {'key': 'subtitle', 'type': 'str'},
        'text': {'key': 'text', 'type': 'str'},
        'image': {'key': 'image', 'type': 'CardImage'},
        'price': {'key': 'price', 'type': 'str'},
        'quantity': {'key': 'quantity', 'type': 'str'},
        'tap': {'key': 'tap', 'type': 'CardAction'},
    }

    def __init__(self, title=None, subtitle=None, text=None, image=None, price=None, quantity=None, tap=None):
        super(ReceiptItem, self).__init__()
        self.title = title
        self.subtitle = subtitle
        self.text = text
        self.image = image
        self.price = price
        self.quantity = quantity
        self.tap = tap
